# Display virtual network card information - DescribeNetworkInterface

## Overview

Display virtual network card information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeNetworkInterface`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.nubexcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **VPCId** | string | Belonging VPC |No|
| **SubnetId** | string | Subnet Ownership |No|
| **InterfaceId.N** | string | Virtual Network Card ID, can specify 0\~n |No|
| **OnlyDefault** | boolean | If set to true, only the default network card will be returned. The default is set to false. |No|
| **NoRecycled** | boolean | If set to true, filter the network cards bound in the recycle bin host. The default is false. |No|
| **Tag** | string | Business Group |No|
| **Limit** | int | Default is 20 |No|
| **Offset** | int | Default is 0 |No|
| **WithSecGroup** | boolean | show secgroup info or not |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **NetworkInterfaceSet** | array[[*NetworkInterface*](#networkinterface)] | Virtual Network Card Information |**Yes**|
| **TotalCount** | int | Total Number of Virtual Network Cards |No|

#### Data Model


#### NetworkInterface

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **InterfaceId** | string | Virtual Network Card Resource ID |**Yes**|
| **VPCId** | string | Belonging VPC |**Yes**|
| **SubnetId** | string | Subnet Ownership |**Yes**|
| **PrivateIpSet** | array[string] | Associate with the internal network IP. Currently, a network card only supports binding with one internal network IP. |**Yes**|
| **MacAddress** | string | Associate Mac |**Yes**|
| **Status** | int | Binding Status |**Yes**|
| **EIPIdSet** | array[string] | EIP Id Collection |**Yes**|
| **FirewallIdSet** | array[string] | The array of firewall |**Yes**|
| **FirewallSet** | array[[*FwInfo*](#fwinfo)] | Firewall Info |**Yes**|
| **EipDirectMode** | boolean | The mode of EIP;false: NO, true: Yes |**Yes**|
| **EipDirectionVersion** | int | The version of EIP direction |**Yes**|
| **DefaultOutput** | string | Default output  |**Yes**|
| **PrivateIp** | array[[*UNIIpInfo*](#uniipinfo)] | The array of private ip |**Yes**|
| **IPv6AddressInfo** | array[[*SimpleIPv6AddressInfo*](#simpleipv6addressinfo)] | IPv6 address info |**Yes**|
| **IPv6Gateway** | string | The gateway address of IPv6 |**Yes**|
| **IPv6Mask** | int | The mask of IPv6 |**Yes**|
| **OperatorName** | string | EIP operators |**Yes**|
| **SecGroupCount** | int | the number of associated secgroup |No|
| **SecGroup** | array[[*SecGroup*](#secgroup)] | associated secgroup info |No|
| **Name** | string | Virtual Network Card Name |No|
| **Netmask** | string | Private Network IP Mask |No|
| **Gateway** | string | Default Gateway |No|
| **AttachInstanceId** | string | Bind Instance Resource ID |No|
| **Default** | boolean | Is it the default network card bound to the instance? false: No true: Yes |No|
| **CreateTime** | int | Creation Time |No|
| **Remark** | string | Note |No|
| **Tag** | string | Business Group |No|
| **PrivateIpLimit** | array[[*UNIQuotaInfo*](#uniquotainfo)] | Private IP Count |No|

#### FwInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Id** | string | Firewall Resource Id |No|
| **Name** | string | Firewall Name |No|

#### UNIIpInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **IpType** | string | IP Type SecondaryIp/PrimaryIp |No|
| **IpAddr** | array[string] | IP Address |No|

#### SimpleIPv6AddressInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **IPv6Address** | string | The address of IPv6 |No|
| **IPv6Id** | string | The resource id of IPv6 |No|
| **Attribute** | string | The attribute of IPv6 |No|

#### SecGroup

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Name** | string | SecGroup name |**Yes**|
| **Priority** | int | SecGroup priority |No|
| **SecGroupId** | string | SecGroup Id |No|

#### UNIQuotaInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **PrivateIpCount** | int | The number of private IPs owned by the network card |No|
| **PrivateIpQuota** | int | Intranet IP quota of the network card |No|

## Example

### Request Example
    
```
https://api.nubexcloud.com/?Action=DescribeNetworkInterface
&Region=cn-zj
&ProjectId=GrhtRoeW
&VPCId=HtyqlvnD
&SubnetId=wDKbVBgv
&InterfaceId.N=fbZBJYKm
&OnlyDefault=true
&NoRecycled=false
&Tag=BcNsnzvn
&Limit=2
&Offset=7
&WithSecGroup=false
```

### Response Example
    
```json
{
  "Action": "DescribeNetworkInterfaceResponse",
  "NetworkInterfaceSet": [
    {
      "AttachInstanceId": "rFTCEEXO",
      "CreateTime": 8,
      "Default": true,
      "DefaultOutput": "oQMKeDQE",
      "EIPIdSet": [
        "zMWGORbd"
      ],
      "EipDirectMode": false,
      "EipDirectVersion": 8,
      "FirewallIdSet": [
        "BMJvHDEm"
      ],
      "Gateway": "RttOHGIn",
      "InterfaceId": "bMzghuAx",
      "MacAddress": "qrKwhPrL",
      "Name": "gUkbpVLA",
      "Netmask": "BsrBMQMK",
      "PrivateIp": [
        {
          "IpAddr": [
            "gBSMmpMF"
          ],
          "IpType": "NxUNNPRV"
        }
      ],
      "PrivateIpLimit": {},
      "PrivateIpSet": [
        "qQgevdxI"
      ],
      "Remark": "FFbgXcpU",
      "Status": 0,
      "SubnetId": "xcjnhLNT",
      "Tag": "FalYfERG",
      "VPCId": "kDweFhmN"
    }
  ],
  "RetCode": 0,
  "TotalCount": 1
}
```





